FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001017FL51.1 FLCLpublic2020-12-22 12:112021-04-30 12:02
ReporterFalk Reichbott 
Assigned ToTilo Eckert 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.23 
Target Version5.1.24Fixed in Version5.1.24 
Summary0001017: ":32B:GBP31500," are a valid swift TAG with 31500,00 as amount
DescriptionIf a float ends with the separator without any trailing digit the error below occure.

2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* FLAM-VERSION: 5.1.24-28795 BUILD: DEBUG Dec 17 2020 09:53:15
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* SOURCE-FILE : CSRC/FLTCNV.c FUNCTION: uiFltCnvRunRedStr ROW: 1447 LOC: 583
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* REASON-CODE : 74 - Format wrong or not supported
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* CTX-MESSAGE : Input number is invalid (i.e. is too long, too short, contains invalid characters, ...) (FILE: CSRC/FLTCNV.c LINE: 1444)
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* INPUT-DATA : 6(31313530302C) SEPARATOR: 2C (0xFFFF for nothing)
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* -------------
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* SOURCE-FILE : CSRC/FMTTAB.c FUNCTION: uiHldRowRed ROW: 3940 LOC: 1337
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* CTX-MESSAGE : Conversion of element 23 (CB-TRECEIV-AMT) of record 1 for table 'MT101' failed
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* -------------
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* SOURCE-FILE : CSRC/FMTTAB.c FUNCTION: uiHldBlkRed ROW: 4179 LOC: 1348
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* CTX-MESSAGE : Handling of parsed row from block failed
2020-12-22 12:04:18 2B2: LIM.flcl.CONV *ERRTRC* POSITION : RECORD(1) DATA(3A32313A5452414E (:21:TRAN))

This must be fixed
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001341)
Falk Reichbott (administrator)
2021-04-30 12:02

supported if parameter defined

- Issue History
Date Modified Username Field Change
2020-12-22 12:11 Falk Reichbott New Issue
2020-12-22 12:11 Falk Reichbott Status new => assigned
2020-12-22 12:11 Falk Reichbott Assigned To => Tilo Eckert
2021-04-30 12:02 Falk Reichbott Note Added: 0001341
2021-04-30 12:02 Falk Reichbott Status assigned => resolved
2021-04-30 12:02 Falk Reichbott Fixed in Version => 5.1.24
2021-04-30 12:02 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker